package com.cn.fdapfe.biz.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.cn.fdapfe.common.annotation.Excel;
import com.cn.fdapfe.common.core.domain.BaseEntity;

/**
 * 算法性能评估对象 biz_performance_evaluation
 * 
 * @author Allen
 * @date 2025-03-09
 */
public class PerformanceEvaluation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 性能评估名称 */
    @Excel(name = "性能评估名称")
    private String name;

    /** 类型 */
    @Excel(name = "类型")
    private String type;

    /** 循环次数 */
    @Excel(name = "循环次数")
    private Long loopCount;

    /** 故障诊断算法id */
    @Excel(name = "故障诊断算法id")
    private Long fdAlgorithmId;

    /** 实际标签 */
    @Excel(name = "实际标签")
    private String truthLabels;

    /** 物理生成模型 */
    private Long phyModelId;

    /** 物理模型参数 */
    private String phyParams;

    /** 物理数据 */
    private String phyDataIds;

    /** 噪声生成模型 */
    private Long noseModelId;

    /** 噪声模型参数 */
    private String noseParams;

    /** 噪声数据 */
    private String noseDataIds;

    /** 测试生成模型 */
    private Long testModelId;

    /** 测试模型参数 */
    private String testParams;

    /** 测试数据 */
    private String testDataIds;

    /** 图片结果 */
    @Excel(name = "图片结果")
    private String resultImagePath;

    /** 文件结果 */
    @Excel(name = "文件结果")
    private String resultFilePath;

    /** 文本结果 */
    @Excel(name = "文本结果")
    private String resultText;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setLoopCount(Long loopCount) 
    {
        this.loopCount = loopCount;
    }

    public Long getLoopCount() 
    {
        return loopCount;
    }
    public void setFdAlgorithmId(Long fdAlgorithmId) 
    {
        this.fdAlgorithmId = fdAlgorithmId;
    }

    public Long getFdAlgorithmId() 
    {
        return fdAlgorithmId;
    }
    public void setTruthLabels(String truthLabels) 
    {
        this.truthLabels = truthLabels;
    }

    public String getTruthLabels() 
    {
        return truthLabels;
    }
    public void setPhyModelId(Long phyModelId) 
    {
        this.phyModelId = phyModelId;
    }

    public Long getPhyModelId() 
    {
        return phyModelId;
    }
    public void setPhyParams(String phyParams) 
    {
        this.phyParams = phyParams;
    }

    public String getPhyParams() 
    {
        return phyParams;
    }
    public void setPhyDataIds(String phyDataIds) 
    {
        this.phyDataIds = phyDataIds;
    }

    public String getPhyDataIds() 
    {
        return phyDataIds;
    }
    public void setNoseModelId(Long noseModelId) 
    {
        this.noseModelId = noseModelId;
    }

    public Long getNoseModelId() 
    {
        return noseModelId;
    }
    public void setNoseParams(String noseParams) 
    {
        this.noseParams = noseParams;
    }

    public String getNoseParams() 
    {
        return noseParams;
    }
    public void setNoseDataIds(String noseDataIds) 
    {
        this.noseDataIds = noseDataIds;
    }

    public String getNoseDataIds() 
    {
        return noseDataIds;
    }
    public void setTestModelId(Long testModelId) 
    {
        this.testModelId = testModelId;
    }

    public Long getTestModelId() 
    {
        return testModelId;
    }
    public void setTestParams(String testParams) 
    {
        this.testParams = testParams;
    }

    public String getTestParams() 
    {
        return testParams;
    }
    public void setTestDataIds(String testDataIds) 
    {
        this.testDataIds = testDataIds;
    }

    public String getTestDataIds() 
    {
        return testDataIds;
    }
    public void setResultImagePath(String resultImagePath) 
    {
        this.resultImagePath = resultImagePath;
    }

    public String getResultImagePath() 
    {
        return resultImagePath;
    }
    public void setResultFilePath(String resultFilePath) 
    {
        this.resultFilePath = resultFilePath;
    }

    public String getResultFilePath() 
    {
        return resultFilePath;
    }
    public void setResultText(String resultText) 
    {
        this.resultText = resultText;
    }

    public String getResultText() 
    {
        return resultText;
    }
    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }
    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("type", getType())
            .append("loopCount", getLoopCount())
            .append("fdAlgorithmId", getFdAlgorithmId())
            .append("truthLabels", getTruthLabels())
            .append("phyModelId", getPhyModelId())
            .append("phyParams", getPhyParams())
            .append("phyDataIds", getPhyDataIds())
            .append("noseModelId", getNoseModelId())
            .append("noseParams", getNoseParams())
            .append("noseDataIds", getNoseDataIds())
            .append("testModelId", getTestModelId())
            .append("testParams", getTestParams())
            .append("testDataIds", getTestDataIds())
            .append("resultImagePath", getResultImagePath())
            .append("resultFilePath", getResultFilePath())
            .append("resultText", getResultText())
            .append("remark", getRemark())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
